> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /finviz/groups

> Get aggregated market statistics grouped by sector, industry, country, or capitalization

**Price:** 5 credits



## OpenAPI

````yaml /openapi/finance-markets.json post /api/finviz/groups
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/finviz/groups:
    post:
      tags:
        - /finviz
      summary: /finviz/groups
      description: >-
        Get aggregated market statistics grouped by sector, industry, country,
        or capitalization


        **Price:** 5 credits
      operationId: __api_finviz_groups_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinvizGroupsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FinvizGroup'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FinvizGroupsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        group_by:
          $ref: '#/components/schemas/FinvizGroupBy'
          default: sector
      type: object
    FinvizGroup:
      properties:
        '@type':
          type: string
          default: FinvizGroup
        name:
          type: string
        stock_count:
          anyOf:
            - type: integer
            - type: 'null'
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
        dividend_percent:
          anyOf:
            - type: number
            - type: 'null'
        pe:
          anyOf:
            - type: number
            - type: 'null'
        forward_pe:
          anyOf:
            - type: number
            - type: 'null'
        peg:
          anyOf:
            - type: number
            - type: 'null'
        ps:
          anyOf:
            - type: number
            - type: 'null'
        pb:
          anyOf:
            - type: number
            - type: 'null'
        pc:
          anyOf:
            - type: number
            - type: 'null'
        pfcf:
          anyOf:
            - type: number
            - type: 'null'
        eps_past_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
        eps_next_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
        sales_past_5y_percent:
          anyOf:
            - type: number
            - type: 'null'
        lt_debt_eq:
          anyOf:
            - type: number
            - type: 'null'
        debt_eq:
          anyOf:
            - type: number
            - type: 'null'
        short_float_percent:
          anyOf:
            - type: number
            - type: 'null'
        recommendation:
          anyOf:
            - type: number
            - type: 'null'
        perf_week_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_month_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_quarter_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_half_year_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_year_percent:
          anyOf:
            - type: number
            - type: 'null'
        perf_ytd_percent:
          anyOf:
            - type: number
            - type: 'null'
        avg_volume:
          anyOf:
            - type: number
            - type: 'null'
        rel_volume:
          anyOf:
            - type: number
            - type: 'null'
        change_percent:
          anyOf:
            - type: number
            - type: 'null'
        volume:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FinvizGroupBy:
      type: string
      enum:
        - sector
        - industry
        - country
        - capitalization
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````